org.apache.felix.gogo.runtime

## Interface Evaluate

All Known Implementing Classes:
  Closure

    public interface Evaluate

### Method Summary

All Methods Instance Methods Abstract Methods
`ClassLoader` `classLoader()`
`Path` `currentDir()`
`Object` `eval(Token t)`
`Object` `expr(Token t)`
`Object` `get(String key)`
`Object` `put(String key, Object value)`

### Method Detail

#### eval

    Object eval(Token t)
         throws Exception

Throws:
  `Exception`

#### get

    Object get(String key)

#### put

    Object put(String key,
               Object value)

#### expr

    Object expr(Token t)

#### currentDir

    Path currentDir()

#### classLoader

    ClassLoader classLoader()